gr::satellites::doppler_correction_impl Class Reference

`#include <doppler_correction_impl.h>`

Inheritance diagram for gr::satellites::doppler_correction_impl:

## Public Member Functions

| doppler_correction_impl (const std::string &filename, double samp_rate, double t0, const std::string &timesync_tag)
| ~doppler_correction_impl () override
void | set_time (double) override
| Sets the current time.
double | time () override
| Returns the current time.
double | frequency () override
| Returns the current frequency in Hz.
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Additional Inherited Members

Public Types inherited from gr::satellites::doppler_correction
typedef std::shared_ptr< doppler_correction > | sptr
Static Public Member Functions inherited from gr::satellites::doppler_correction
static sptr | make (const std::string &filename, double samp_rate, double t0, const std::string &timesync_tag="")
| Build the Doppler Correction block.

## Constructor & Destructor Documentation

## doppler_correction_impl()

gr::satellites::doppler_correction_impl::doppler_correction_impl | ( | const std::string & | filename,
|  | double | samp_rate,
|  | double | t0,
|  | const std::string & | timesync_tag )

## ~doppler_correction_impl()

gr::satellites::doppler_correction_impl::~doppler_correction_impl | ( |  | ) |

override

## Member Function Documentation

## frequency()

double gr::satellites::doppler_correction_impl::frequency | ( |  | ) |

inline override virtual

Returns the current frequency in Hz.

Implements gr::satellites::doppler_correction.

## set_time()

void gr::satellites::doppler_correction_impl::set_time | ( | double | t | ) |

override virtual

Sets the current time.

Parameters

  t | Tiemstamp corresponding to the current time.

Implements gr::satellites::doppler_correction.

## time()

double gr::satellites::doppler_correction_impl::time | ( |  | ) |

inline override virtual

Returns the current time.

Implements gr::satellites::doppler_correction.

## work()

int gr::satellites::doppler_correction_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

override

The documentation for this class was generated from the following file:

- doppler_correction_impl.h